Bug 573752

Summary: cobbler uses insecure http download instead of using packaged syslinux
Product: [Fedora] Fedora Reporter: Till Maas <opensource>
Component: cobblerAssignee: John Eckersberg <jeckersb>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: awood, ayoung, dgoodwin, jeckersb, shenson, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 12:17:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Till Maas 2010-03-15 13:36:11 EDT
Description of problem:
Cobbler uses pxelinux.0 from syslinux. Instead of using the version packaged in Fedora, there is some insecure http download used to download it from fedorapeople.

Version-Release number of selected component (if applicable):
cobbler-2.0.3.1-3.fc12

How reproducible:
always

Steps to Reproduce:
1. cobbler get-loaders
  
Actual results:
downloading http://mdehaan.fedorapeople.org/loaders/pxelinux.0-3.61 to /var/lib/cobbler/loaders/pxelinux.0

Expected results:
Should not download pxelinux.0 but use the syslinux package instead.

Additional info:
Distributing pxelinux.0 at http://mdehaan.fedorapeople.org/loaders/ looks like a GPL violation to me, because there are no sources distributed.
Comment 1 Adam Young 2010-05-18 15:26:46 EDT
I just ran 

sudo cobbler import --path=rsync://mirror.anl.gov/fedora/linux/releases/test/13-Beta/Fedora/x86_64/os/  --name=F13B-x86_64 --arch x86_64
task started: 2010-05-18_135831_import

This is  F12 version: 2.0.3

And it attempted to use /usr/lib/syslinux/pxelinux.0  which is not part of syslinux.  The syslinux file for pxe is:

/usr/share/syslinux/pxelinux.0


This shows that something is aware of the local pxelinux.0 file.

I can confirm that I see the above behavior.
Comment 2 Bug Zapper 2010-11-03 15:36:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 12:17:30 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.